--***************************************************************
-- マップ００＿１のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map00_1EventBehind(msgFlg)
	local ret = 0;

	--宝箱を調べる
	msgFlg, ret = TakaraBakoSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--看板を調べる
	msgFlg, ret = KanbanSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--宝箱を調べる
function TakaraBakoSearch(msgFlg)
	--***************************************************************
	-- まだクッションブーツを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(460, 200, 0, DIRECTION_RIGHT, "クッション・ブーツ", 2, 3);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg2 = getEventFlg(2);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg2 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(2, 3);

		-- アイテムゲット！
		setGetBoots(1, 1);

		-- イベントフラグを設定する
		-- ※クッションブーツを取ったということは
		--   まだeventFlg[1] = 2
		-- （「飛び降り」と「調べる」の説明を見た状態）に
		--   なってなくても
		--   「飛び降り」と「調べる」の説明を知っていることになる
		setEventFlg(1, 2);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--看板を調べる
function KanbanSearch(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg4 = getEventFlg(4);

	--***************************************************************
	-- マップ００＿１をクリアしていない場合
	--***************************************************************
	if eventFlg4 == 0 then
		--***************************************************************
		-- 「！」アイコン表示中に調べたかチェック
		--　第１～３引数は、判定円の中心座標（ｘ、ｙ、ｚ）
		--　第４引数は判定円の半径
		--　checkPinSearchはEventBeforeではなくEventBehindで呼ぶこと
		--（EventBeforeに書くと１回攻撃してしまう）
		--***************************************************************
		local retValue = checkPinSearch(850, 150, 0, 16);
		if retValue == TRUE then
			setEventFlg(4, 1);
		end
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
-- マップ００＿１のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map00_1EventBefore(msgFlg)
	local ret = 0;

	--スクロールリミット
	msgFlg, ret = ScrollLimit(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--開始直後イベント
	msgFlg, ret = StartEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--飛び降り／調べる
	msgFlg, ret = FallSearchEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--装備メニュー
	msgFlg, ret = EquipEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--看板を調べた
	msgFlg, ret = KanbanEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--***************************************************************
--スクロールリミット
--***************************************************************
function ScrollLimit(msgFlg)
	--***************************************************************
	-- プレイヤーの位置情報の取得
	--***************************************************************
	local posX, posY, posZ = getPlayerPos();

	--***************************************************************
	-- マップ左端
	--***************************************************************
	if posX < 32 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 10, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("おいっ！", LUA_WHITE);
			setStringNext("怖いのか？大丈夫だ。ちゃんと待っていてやるから。", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("そ、そんなわけないじゃない！", LUA_WHITE);
			setStringNext("むしろやる気満々よ！", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 1 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- プレイヤー位置／向きの設定
				setPlayerPos(32, 150 - (MOVE_SIZE / 2), 0, DIRECTION_RIGHT);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, -1
	end

	--***************************************************************
	-- マップ右端
	--***************************************************************
	if posX > 930 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 4, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("おい、どこまで行く気だ？", LUA_WHITE);
			setStringNext("看板を通り過ぎてないんじゃないか？", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("看板を見てるときにザコが来たらジャマでしょ。", LUA_WHITE);
			setStringNext("念のため確認しただけよ。", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 1 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- プレイヤー位置／向きの設定
				setPlayerPos(930, 150 - (MOVE_SIZE / 2), 0, DIRECTION_LEFT);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, -1
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--開始直後
--***************************************************************
function StartEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg0 = getEventFlg(0);

	--***************************************************************
	-- 開始直後（会話）
	--***************************************************************
	if eventFlg0 == 0 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("「あの」場所って書いてあったから、", LUA_WHITE);
			setStringNext("ここが目的地になるのかな？", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
			-- 効果音フラグの設定
			setSEFlg(0);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("トランシーバーの呼び出し音だ。", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("待ってたぜ", LUA_WHITE);
			setStringNext("「あの」場所はわかったか？", LUA_WHITE);
		end
		if msgFlg == 3 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("当然。", LUA_WHITE);
			setStringNext("むしろ簡単だったわ。", LUA_WHITE);
		end
		if msgFlg == 4 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("だいたいそこから真っ直ぐに行ったところに居るぜ", LUA_WHITE);
			setStringNext("トランシーバーとやらをきちんと合わせておけよ", LUA_WHITE);
			setStringNext("使い方がよくわからないけどな。", LUA_WHITE);
		end
		if msgFlg == 5 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("わかったわ！", LUA_WHITE);
		end
		if msgFlg == 6 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("とりあえず、この先にある「看板」を目印にしておいた", LUA_WHITE);
			setStringNext("からOで読んでおけよ。", LUA_WHITE);
			setStringNext("わかったか？", LUA_WHITE);
		end
		if msgFlg == 7 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 7, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("分かったわ。", LUA_WHITE);
			setStringNext("この先の看板ね。", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 then
			if getSEFlg() == 0 then
				setSEFlg(1);
			else
				if getSEFlg() == 1 then
				-- ヘッドセットの呼び出し音を鳴らす
					playMP3NormalAfterBeforePlayMp3(MP3_SE_CALL);
					setSEFlg(2);
				end
			end
			if isCtrlCircle() then
				-- 0.15秒待つ
				waitVn(9);
				-- メッセージ終了処理
				endMessageString();
				-- 次のメッセージ処理
				if msgFlg == 7 then
					-- 操作禁止フラグの解除
					setNoOperationFlg(FALSE);
					-- メッセージの終了
					msgFlg = 0;
					-- イベントフラグを１つ進める
					setEventFlg(0, 1);
				else
					msgFlg = msgFlg + 1
				end
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 最初の操作説明（通常移動とジャンプ、キャンプメニュー）
	--***************************************************************
	if eventFlg0 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispManualPreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			-- マニュアル設定（移動／ジャンプ）
			setManualPage(MANUAL_PAGE_MOVE_JUMP, MANUAL_PLAYING);

			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			-- マニュアル設定（キャンプメニュー）
			setManualPage(MANUAL_PAGE_CAMP_MENU, MANUAL_PLAYING);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 1 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(0, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--飛び降り／調べる
--***************************************************************
function FallSearchEvent(msgFlg)
	--***************************************************************
	-- プレイヤーの位置情報の取得
	--***************************************************************
	local posX, posY, posZ = getPlayerPos();

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg1 = getEventFlg(1);
	local eventFlg2 = getEventFlg(2);

	--***************************************************************
	-- 開始直後（会話）
	--***************************************************************
	if eventFlg2 == 0 and posX > 800 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("そういえば宝箱を開けたか？", LUA_WHITE);
			setStringNext("冒険するならやっぱ宝箱は開けなきゃダメだろ。", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 3, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("っていうけどさ、普通のジャンプと移動で行けないわ", LUA_WHITE);
			setStringNext("どうすればいいのよ。", LUA_WHITE);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 7, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("あのな、普通の移動とジャンプでは行けない場所の", LUA_WHITE);
			setStringNext("中には「飛び降り」で行けるところもあるんだよ", LUA_WHITE);
			setStringNext("もっとも「飛び降り」できない場所もあるけどな。", LUA_WHITE);
		end


		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- ミクの位置と向きを調整
				-- xを801以上にしておかないと、ここのイベント２周目が始まらず
				-- NoOperationフラグの関係でフリーズする
				setPlayerPos(801, 118, 0, DIRECTION_LEFT);
			end
			if msgFlg == 2 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(1, 1);
				-- ミクの位置と向きを調整
				-- xを800にすることで、ここのイベントを無限ループすることを避ける
				setPlayerPos(800, 118, 0, DIRECTION_LEFT);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 2
	end

	--***************************************************************
	-- ２つ目の操作説明（飛び降り、調べる）
	--***************************************************************
	if eventFlg1 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispManualPreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			-- マニュアル設定（飛び降り／調べる）
			setManualPage(MANUAL_PAGE_FALL_SEARCH, MANUAL_PLAYING);

			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(1, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--装備メニュー
--***************************************************************
function EquipEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg3 = getEventFlg(3);

	--***************************************************************
	-- ３つ目の操作説明（装備）
	--***************************************************************
	if eventFlg3 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispManualPreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			-- マニュアル設定（装備）
			setManualPage(MANUAL_PAGE_EQUIP, MANUAL_PLAYING);

			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(3, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--看板を調べた
--***************************************************************
function KanbanEvent(msgFlg)
	--***************************************************************
	-- プレイヤーの装備情報の取得
	--***************************************************************
	local equipWeapon, equipArmor, equipBoots = getPlayerEquip();

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg4 = getEventFlg(4);

	--***************************************************************
	-- クッション・ブーツ装備後に看板を調べた
	--***************************************************************
	if eventFlg4 == 1 and equipBoots == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("看板に何か書いてある。", LUA_GREEN);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("　", LUA_GREEN);
			-- メッセージオプション：大きな文字（会話の２行目）
			setMsgOption(MSG_OPTION_BIG_STRING);
			setStringNext("バカが見る♪", LUA_GREEN);
			setStringNext("　", LUA_GREEN);
			setStringNext("　　　魔理沙より", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("え！？", LUA_WHITE);
		end
		if msgFlg == 3 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 2, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			-- メッセージオプション：大きな文字（会話の２行目）
			setMsgOption(MSG_OPTION_BIG_STRING);
			setStringNext("ちょっとぉ！！！", LUA_WHITE);
		end
		if msgFlg == 4 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 10, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("やっぱり引っかかったぜ", LUA_WHITE);
			setStringNext("では・・・", LUA_WHITE);
			setStringNext("で・・・ザザザザザザ・・・", LUA_WHITE);
		end
		if msgFlg == 5 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 2, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("あれっ、魔理沙っ！", LUA_WHITE);
		end
		if msgFlg == 6 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("急に足元が崩れだした。", LUA_GREEN);
		end
		if msgFlg == 7 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("ちょっと！？", LUA_WHITE);
			setStringNext("まさか！", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 7 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(4, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- クッション・ブーツ装備前に看板を調べた
	--***************************************************************
	if eventFlg4 == 1 and equipBoots ~= 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 10, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("ところで、ちゃんとクッション・ブーツを履いたか？", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 2, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("ギクッ！", LUA_WHITE);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 3, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("ま、まだだわよ。", LUA_WHITE);
			setStringNext("だって、今、履いてる下駄じゃないとおかしいじゃない。", LUA_WHITE);
		end
		if msgFlg == 3 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 1, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("おかしいって、霊夢、クッション・ブーツの防御力", LUA_WHITE);
			setStringNext("をちゃんと確認したか？", LUA_WHITE);
			setStringNext("下駄より防御力が高いはずだ。", LUA_WHITE);
		end
		if msgFlg == 4 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 4, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("冒険をするって人が入手したばかりの装備くらい", LUA_WHITE);
			setStringNext("確認しなくてどうするんだ？", LUA_WHITE);
			setStringNext("常識を考えようぜ。", LUA_WHITE);
		end
		if msgFlg == 5 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 5, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("常識って・・・", LUA_WHITE);
			setStringNext("うぅ、わかったわよ！ちゃんと履き替えるわよ！", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 5 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(4, 0);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

