--***************************************************************
-- マップ０１＿４のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map01_4EventBehind(msgFlg)
	local ret = 0;

	--宝箱を調べる
	msgFlg, ret = TakaraBakoSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--宝箱を調べる
function TakaraBakoSearch(msgFlg)
	--***************************************************************
	-- まだベルを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(352, 160, 0, DIRECTION_LEFT, "ベル", 26, 0);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg26 = getEventFlg(26);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg26 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(26, 3);

		-- アイテムゲット！
		setGetItem(2, 1);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
-- マップ０１＿４のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map01_4EventBefore(msgFlg)
	local ret = 0;

	--開始直後イベント
	msgFlg, ret = StartEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--封印解除イベント
	msgFlg, ret = FuuinKaijyoEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--***************************************************************
--開始直後
--***************************************************************
function StartEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg24 = getEventFlg(24);

	--***************************************************************
	-- 開始直後（会話）
	--***************************************************************
	if eventFlg24 == 0 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("なんかコレまでと「ちょっと違う」雰囲気の場所ね", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
			-- 効果音フラグの設定
			setSEFlg(0);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("トランシーバーの呼び出し音だ。", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("そろそろパズルエリアに着いたみたいだな。", LUA_WHITE);
		end
		if msgFlg == 3 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("パズルエリア？", LUA_WHITE);
		end
		if msgFlg == 4 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("そう。", LUA_WHITE);
			setStringNext("そのエリアにあるギミック（仕掛け）を使ってパズルを", LUA_WHITE);
			setStringNext("解く必要があるエリアだ。", LUA_WHITE);
		end
		if msgFlg == 5 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 9, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("やっぱり少しくらい謎解きがないとつまらないだろ。", LUA_WHITE);
			setStringNext("何の障害もない冒険って物足りないと思うぜ。", LUA_WHITE);
		end
		if msgFlg == 6 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 0, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("確かにそうだけどさ…。", LUA_WHITE);
		end
		if msgFlg == 7 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 7, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("じゃあ、ちゃちゃっとパズルを解いちゃってくれ。", LUA_WHITE);
			setStringNext("ここのパズルは小手調べレベルだからな。", LUA_WHITE);
		end
		if msgFlg == 8 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("ちょっと！", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 then
			if getSEFlg() == 0 then
				setSEFlg(1);
			else
				if getSEFlg() == 1 then
				-- ヘッドセットの呼び出し音を鳴らす
					playMP3NormalAfterBeforePlayMp3(MP3_SE_CALL);
					setSEFlg(2);
				end
			end
			if isCtrlCircle() then
				-- 0.15秒待つ
				waitVn(9);
				-- メッセージ終了処理
				endMessageString();
				-- 次のメッセージ処理
				if msgFlg == 7 then
					-- 操作禁止フラグの解除
					setNoOperationFlg(FALSE);
					-- メッセージの終了
					msgFlg = 0;
					-- イベントフラグを１つ進める
					setEventFlg(24, 1);
					-- 効果音フラグの設定
					setSEFlg(0);
				else
					msgFlg = msgFlg + 1
				end
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 操作説明（パズルエリア）
	--***************************************************************
	if eventFlg24 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispManualPreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			-- マニュアル設定（パズルエリア）
			setManualPage(MANUAL_PAGE_PUZZLE_AREA, MANUAL_PLAYING);

			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(24, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--封印解除イベント
--***************************************************************
function FuuinKaijyoEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg18 = getEventFlg(18);
	local eventFlg20 = getEventFlg(20);
	local eventFlg27 = getEventFlg(27);
	local posX, posY, posZ = getPlayerPos();

	--***************************************************************
	-- 封印解除
	-- ※解除条件
	-- 　ドラゴンオーブを取得している(イベントフラグ：18)
	-- 　古びた羊皮紙のイベントを実施済み(イベントフラグ：20)
	-- 　封印解除前(イベントフラグ：27)
	-- 　ミクがベルの入った宝箱の場所にいる
	--***************************************************************
	if eventFlg18 == 1 and eventFlg20 == 2 and eventFlg27 == 0 and posY == (160 - 32) and posX > 320 and posX < 384 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 7, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("「封印の障壁近くでオーブを掲げよ。」", LUA_WHITE);
			setStringNext("だったわね。", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
			-- 効果音フラグの設定
			setSEFlg(2);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("ドラゴンオーブを掲げた。", LUA_GREEN);
			-- 効果音フラグの設定
			setSEFlg(0);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("封印の障壁が消えていく…。", LUA_GREEN);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 then
			if getSEFlg() == 0 then
				setSEFlg(1);
			else
				if getSEFlg() == 1 then
					-- 封印解除の効果音を鳴らす
					playMP3Loop(MP3_SE_FUUIN_KAIJYO);
					setSEFlg(2);
					-- BGMや描画関連タイマ設定
					setSimpleTimer(BEFORE_PLAY_MP3_TIMER, 6000);
					setSimpleTimer(MAP_EVENT_TIMER_2, 120);
					-- 封印解除の効果音が鳴り終わるまで行送りカーソルを描画しない
					setGyoCursor(FALSE);
				end
			end
			if msgFlg == 2 and getSEFlg() >= 2 then
				-- 封印解除の効果音が終わったらBGMを戻す
				if getSEFlg() == 2 and getPassedTime(BEFORE_PLAY_MP3_TIMER) > 0 then
					beforePlayMP3();
					setSEFlg(3);
					-- 封印解除の効果音が鳴り終わったので行送りカーソルを描画する
					setGyoCursor(TRUE);
					-- ○ボタンを押したことにしてメッセージを自動消去する
					setNowPadCircle();
				end
				-- ブレンド値を120ミリ秒ごとに-5する
				if getPassedTime(MAP_EVENT_TIMER_2) > 0 then
					local idxBlend = getIdxBlend();
					idxBlend = idxBlend - 5;
					if idxBlend < 0 then
						idxBlend = 0;
					end
					setIdxBlend(idxBlend);
					setSimpleTimer(MAP_EVENT_TIMER_2, 120);
				end
			end
			-- 行送りカーソル描画区分がTRUEの場合のみ○ボタンの判定を行う
			if getGyoCursor() == TRUE and isCtrlCircle() then
				-- 0.15秒待つ
				waitVn(9);
				-- メッセージ終了処理
				endMessageString();
				-- 次のメッセージ処理
				if msgFlg == 2 then
					-- 操作禁止フラグの解除
					setNoOperationFlg(FALSE);
					-- メッセージの終了
					msgFlg = 0;
					-- イベントフラグを１つ進める
					setEventFlg(27, 1);
					-- BGMがUNDER GROUND（探索テーマ）でなければ探索テーマBGMを演奏
					checkPlayMP3(BGM_SEARCH1, DX_PLAYTYPE_LOOP);
					-- 効果音フラグの設定
					setSEFlg(0);
				else
					msgFlg = msgFlg + 1
				end
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

