--***************************************************************
-- マップ０１＿５のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map01_5EventBehind(msgFlg)
	local ret = 0;

	--石碑を調べる
	msgFlg, ret = SekihiSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--石碑を調べる
function SekihiSearch(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg30 = getEventFlg(30);

	--***************************************************************
	-- 石碑を調べていない場合
	--***************************************************************
	if eventFlg30 == 0 then
		--***************************************************************
		-- 「！」アイコン表示中に調べたかチェック
		--　第１～３引数は、判定円の中心座標（ｘ、ｙ、ｚ）
		--　第４引数は判定円の半径
		--　checkPinSearchはEventBeforeではなくEventBehindで呼ぶこと
		--（EventBeforeに書くと１回攻撃してしまう）
		--***************************************************************
		local retValue = checkPinSearch(128, 192, 0, 32);
		setEventFlg(30, retValue);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, 0
end

--***************************************************************
-- マップ０１＿５のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map01_5EventBefore(msgFlg)
	local ret = 0;

	--石碑イベント
	msgFlg, ret = SekihiEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--石碑を調べる
function SekihiEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg30 = getEventFlg(30);

	--***************************************************************
	-- 石碑を調べた
	--***************************************************************
	if eventFlg30 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("石碑に何か書いてある。", LUA_GREEN);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("　", LUA_GREEN);
			-- メッセージオプション：大きな文字（会話の２行目）
			setMsgOption(MSG_OPTION_BIG_STRING);
			setStringNext("この先ボスその１", LUA_GREEN);
			setStringNext("　", LUA_GREEN);
			setStringNext("　　　魔理沙より", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("うう、もう魔理沙は何を考えているのかしら？", LUA_WHITE);
			setStringNext("とりあえず予想として「あの」キャラクターが", LUA_WHITE);
			setStringNext("でるんじゃないかしら？", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 2 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				setEventFlg(30, 0);
			else
				msgFlg = msgFlg + 1
			end
		end
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, 0
end
